/* # Responsive menu - Theme light

Addon responsive menu

Markup:
<header role="banner">
  <nav class='responsive-menu js-menumaker' role="primary">
		<div class="head-desktop">
			<a href="index.html">
					<div class="brand">Brand name</div>
					<div class="baseline">Baseline</div>
			</a>
		</div>
		<div class="head-mobile">
				<div class="mobile-button"></div>
				<div class="brand">Brand Name</div>
				<div class="baseline">Baseline</div>
		</div>
		<div class="menu-container">
			<ul>
			  <li class='active'><a href='#'>HOME</a></li>
			  <li><a href='#'>ABOUT</a></li>
			  <li><a href='#'>PRODUCTS</a>
				<ul>
				  <li><a href='#'>Product 1</a>
					<ul>
					  <li><a href='#'>Sub Product</a></li>
					  <li><a href='#'>Sub Product</a></li>
					</ul>
				  </li>
				  <li><a href='#'>Product 2</a>
					<ul>
					  <li><a href='#'>Sub Product</a></li>
					  <li><a href='#'>Sub Product</a></li>
					</ul>
				  </li>
				</ul>
			  </li>
			  <li><a href='#'>BIO</a></li>
			  <li><a href='#'>VIDEO</a></li>
			  <li><a href='#'>GALLERY</a></li>
			  <li><a href='#'>CONTACT</a></li>
			</ul>
		</div>
	</nav>
</header>

@source - <http://codepen.io/emredenx/pen/ojcxl/>
@see - Codepen d'un menu accessible http://codepen.io/grayghostvisuals/pen/ltjDa
@see - https://github.com/nico3333fr/jquery-accessible-subnav-dropdown
@see - http://staff.washington.edu/tft/tests/menus/simplyaccessible/index.html
@see - Article sur le markup ARIA d'un menu http://terrillthompson.com/blog/202
@import - addons/responsive-menu
@use - js - addons/responsive-menu/responsive-menu.js
@todo - mieux gerer les themes du menu

Styleguide addons.responsivemenu.light
*/


$sans-serif: 'Bebas', $sans-serif !default;
$base-transition: all 0.1s linear !default;
$base-background-color: $white !default;
$rm-drop-sub-width: 200px !default;
$rm-menu-mobile-width: 250px !default;
$rm-base-z-index: 1000 !default;
//  top|left … css direction propertie
$rm-appear-direction: left !default;

.responsive-menu {

	.mobile-button,
	button.mobile-button{
		@include iconify('menu');
		font-size: 1.5rem;
		color: $dark-gray;
		margin: 0 $small-spacing;
		&.menu-opened {
			@include iconify('chevron-left');
			background: $white;
			margin: 0;
			padding: .5rem;
			transform: translateX($rm-menu-mobile-width + 40px);
		}
	}

	// Slide left
	& .menu-container > ul {
	  background-color: $white;
	  border-right: 1px solid black;
	  font-family: $font-stack-helvetica;
	  font-weight: 400;
	 // text-transform: uppercase;

	  @include media('>tablet'){
		  border: none transparent;
		  background-color: transparent;
		  text-align: left;
			& ul li {
				@include single-box-shadow();
			}
	  }
	}
}


@include media('>tablet'){
    .responsive-menu.sticky {

    }
}


// On ne style pas en mode large/desktop
@include media('<=tablet'){
  .menu-container.is-open {
	// Theme du fond de page cliquable
	background-color: rgba($black, .85);
  }
}


// First level
.menu-container li > a {

	color: $black;
	font-family: $font-stack-helvetica;

	font-size: 1rem;
	letter-spacing: 1px;
	border-left: 5px $white solid;

	@include media('>tablet'){
		border-left: none transparent;
		//border-bottom: 5px $white solid;
	}
}
.menu-container li:focus > a,
.menu-container li:hover > a,
.menu-container li > a:hover,
.menu-container li > a:focus{
	background-color: rgba($light-gray, .2);
	border-left: 5px $black solid;

	@include media('>tablet'){
		border-left: none transparent;
		//border-bottom: 5px rgba($black, .5) solid;
	}
}


// Test pour la navigation clavier
.has-sub > a:focus > ul{
	border-color: red;
}


.menu-container .has-sub {
	& > ul {
		transition: opacity .25s linear;
	}
	& > ul li a {
		font-size: .8em;
		background-color: $white;
		border: 0 transparent;
		&:hover{
			background-color: $light-gray;
		}
	}
}

// Bouton signalant l'arbo du menu avec etat deplie/replie
.submenu-button {
	&:after{
		//content:'+';
		//font-size:1rem;
	}
	&.submenu-opened {
		&:after {
			//content: '-';
		}
	}
}


.responsive-menu {
	.brand,.baseline {
	   font-family: $sans-serif;
	   font-weight: 400;
	   text-transform: uppercase;
	}

	.brand{


	}
	.baseline {
		color: $dark-gray;
	}
}

.responsive-menu .head-desktop {
	font-size: 1.8rem;
	text-align: left;
	letter-spacing: .1em;
	line-height: 1;

	a {
		color: color-contrast($base-background-color);
	}

	  .brand{

	  }
	  .baseline {
		font-size: .5em;
	  }

	  @include media('>tablet'){


			//background: url(../images/logo_bazar.svg) no-repeat top left;
			//height: $base-spacing * 6;

			.brand, .baseline{
					//@include visuallyhidden();
			}
	  }


}


.responsive-menu .head-mobile {
	// height:3rem; !! on joue sur le padding du parent
	border-bottom: 1px solid rgba($black, .2);

	.brand,.baseline {
		text-align: left;
	}
	.brand {
		font-size: 1.5rem;
		//font-weight: bold;
		//top: .3rem;
		@include media('>tablet'){
			font-size: 1.5rem;
			padding: $small-spacing;
		}

	}
	.baseline {

	}
}


// Menu cmponents
.responsive-menu form {

}
